Podręcznik PHP
Poprzedni |  | Następny

# mysqli_warning_count

(PHP 5 CVS only)

mysqli_warning_count

(no version information, might be only in CVS)

mysqli->warning_count -- Returns the number of warnings from the last query for the given link

## Description

Procedural style:

int mysqli_warning_count ( object link)

Object oriented style (property):

class mysqli {
int warning_count
}

mysqli_warning_count() returns the number of warnings from the last query in the connection represented by the `link` parameter.

> Notatka: For retrieving warning messages you can use the SQL command `SHOW WARNINGS [limit row_count]`.

## Return values

Number of warnings or zero if there are no warnings.

## See also

mysqli_errno(), mysqli_error(), mysqli_sqlstate()

Poprzedni | Spis treści | Następny
mysqli_use_result | Początek rozdziału | Mohawk Software session handler functions